% CININV4GDL  Cinemtica inversa de un robot de 4GDL.
%  Q = CININV4GDL(ENTRADA) devuelve el vector 4x1 de coordenadas
%	articulares que contiene la solucin cinemtica inversa. 
%	ENTRADA es un vector 3x1 que representa la posicin expresada 
%	en coordenadas	cartesianas.
%
%	Ver tambin INVERSEKINEMATIC4.

function q = cininv4gdl(entrada)

% Posicin cartesiana
p = entrada;

% Orientacin deseada en el extremo del robot
n = [1  0  0]';
s = [0  0 -1]';
a = [0  1  0]';

% Matriz con la orientacin y posicin deseadas en el extremo del robot
T = [n s a entrada];

% Se calculan las coordenadas articulares
q = inversekinematic4(T);
